CVE-2005-1821
CVSS7.5
发布时间 :2005-06-01 00:00:00
修订时间 :2016-10-17 23:22:40
NMCO    

[原文]PHP remote file inclusion vulnerability in pdl_header.inc.php in PowerDownload 3.0.2 and 3.0.3 allows remote attackers to execute arbitrary PHP code via the incdir parameter to downloads.php.


[CNNVD]PowerDownload 'pdl_header.inc.php'脚本 PHP远程文件包含漏洞(CNNVD-200506-012)

        PowerDownload 3.0.2及3.0.3版本中的pdl_header.inc.php脚本存在PHP远程文件包含漏洞,远程攻击者可通过注入到downloads.php中的incdir参数执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:powerscripts.org:powerdownload:3.0.2
cpe:/a:powerscripts.org:powerdownload:3.0.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1821
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1821
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-012
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111755754126095&w=2
(UNKNOWN)  BUGTRAQ  20050531 PowerDownload Remote File Inclusion
http://securitytracker.com/id?1014078
(VENDOR_ADVISORY)  SECTRACK  1014078
http://www.securityfocus.com/bid/13822
(VENDOR_ADVISORY)  BID  13822
http://www.soulblack.com.ar/repo/papers/advisory/powerdownload_advisory.txt
(VENDOR_ADVISORY)  MISC  http://www.soulblack.com.ar/repo/papers/advisory/powerdownload_advisory.txt

- 漏洞信息

PowerDownload 'pdl_header.inc.php'脚本 PHP远程文件包含漏洞
高危 输入验证
2005-06-01 00:00:00 2006-09-28 00:00:00
远程  
        PowerDownload 3.0.2及3.0.3版本中的pdl_header.inc.php脚本存在PHP远程文件包含漏洞,远程攻击者可通过注入到downloads.php中的incdir参数执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息

16952
PowerDownload downloads.php incdir Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

PowerDownload contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to downloads.php not properly sanitizing user input supplied to the incdir variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2005-05-30 Unknow
2005-05-30 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站